Reorder
Endpoint: POST https://4zapi.com/v1/rerank
Given a hint, the model will return one or more predicted completions and can also return the probability of the surrogate marker for each position.
Complete creation for the provided prompts and parameters
Official documentation: https://docs.siliconflow.cn/cn/api-reference/rerank/create-rerank
Parameters
Content-Type(header, string, required): Request body Content-Type, usually application/jsonAccept(header, string, required): Expected response Content-TypeAuthorization(header, string): Bearer API KeyX-Forwarded-Host(header, string): Forwarded original Host (proxy scenario)
Request body (application/json)
documents(array<string>, required): List of documents to rerankinstruct(string, required): Rerank instruction / extra notesmodel(string, required): Model name / model IDquery(string, required): Query texttop_n(integer, required): Return the top N results
Request example
{
"documents": [
"文本排序模型广泛用于搜索引擎 and 推荐系统中,它们根据文本相关性对候选文本进行排序",
"量子计算是计算科学的一个前沿领域",
"预训练语言模型的发展给文本排序模型带来了新的进展"
],
"instruct": "Given a web search query, retrieve relevant passages that answer the query.",
"model": "qwen3-rerank",
"query": "什么是文本排序模型",
"top_n": 2
}